Confirm an owner-signed withdrawal step
curl --request POST \
--url https://testnet.edel-api.xyz/v1/withdrawals/{withdrawalId}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"action": "status",
"withdrawalId": "<string>"
}
'import requests
url = "https://testnet.edel-api.xyz/v1/withdrawals/{withdrawalId}/confirm"
payload = {
"action": "status",
"withdrawalId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({action: 'status', withdrawalId: '<string>'})
};
fetch('https://testnet.edel-api.xyz/v1/withdrawals/{withdrawalId}/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "local-signing/v2",
"status": "approval_required",
"signingStep": "owner_withdrawal_consent",
"challenge": {
"challenge": "<string>",
"challengeIdentifier": "<string>",
"allowCredentials": {
"key": [
{
"type": "public-key",
"id": "<string>"
}
],
"webauthn": [
{
"type": "public-key",
"id": "<string>"
}
]
},
"userVerification": "required"
},
"withdrawal": {
"version": "local-signing/v2",
"withdrawalId": "<string>",
"accountId": "<string>",
"asset": "USD.E",
"amountAtoms": "<string>",
"status": "authorized",
"dueSigningStep": "owner_withdrawal_consent",
"payoutOfferExpiresAtEpochMs": 123,
"settled": true
}
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}{
"version": "external-rest-error/v1",
"requestId": "<string>",
"code": "invalid_request",
"safeMessage": "<string>",
"retryable": true,
"recoveryActions": [
"none"
],
"occurredAtEpochMs": 1,
"realtimeTicketFailure": "invalid",
"apiKeyRejection": "malformed",
"rejectionGuard": "amount_atoms_invalid",
"withdrawalFailure": "requested",
"dependency": "dfns"
}Withdrawals
Confirm an owner-signed withdrawal step
Prepares or completes the exact DFNS-signed Canton command currently due for this withdrawal, including V3 transfer-instruction acceptance.
Method and path: POST /v1/withdrawals//confirm
Authentication: DFNS trader bearer required.
Request schema: DfnsWithdrawalConfirmRequest.
Response schema: DfnsWithdrawalConfirmResponse.
Error envelope: ExternalRestError (external-rest-error/v1).
POST
/
v1
/
withdrawals
/
{withdrawalId}
/
confirm
Confirm an owner-signed withdrawal step
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Minimum string length:
1Path Parameters
Minimum string length:
1Body
application/json
Response
Success
- Option 1
- Option 2
Allowed value:
"local-signing/v2"Allowed value:
"approval_required"Available options:
owner_withdrawal_consent, owner_payout_acceptance Show child attributes
Show child attributes
Show child attributes
Show child attributes